[Tinyos-2-commits] CVS: tinyos-2.x/tools/platforms/msp430/cppbsl configure.in, 1.1, 1.2 configure, 1.1, 1.2

akoepke andreaskoepke at users.sourceforge.net
Mon Nov 5 10:03:23 PST 2007


Update of /cvsroot/tinyos/tinyos-2.x/tools/platforms/msp430/cppbsl
In directory sc8-pr-cvs10.sourceforge.net:/tmp/cvs-serv21394

Modified Files:
	configure.in configure 
Log Message:
getopt is not re-entrant, so we rely on the external popt library to parse
command line options


Index: configure.in
===================================================================
RCS file: /cvsroot/tinyos/tinyos-2.x/tools/platforms/msp430/cppbsl/configure.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** configure.in	31 Oct 2007 18:54:55 -0000	1.1
--- configure.in	5 Nov 2007 18:03:21 -0000	1.2
***************
*** 21,26 ****
  #AC_CHECK_HEADER(readline.h)
  #AC_CHECK_LIB(readline, rl_initialize)
! # AC_CHECK_HEADER(popt.h)
! # AC_CHECK_LIB(popt, poptGetNextOpt)
  #AC_CHECK_HEADER(pthread.h)
  
--- 21,26 ----
  #AC_CHECK_HEADER(readline.h)
  #AC_CHECK_LIB(readline, rl_initialize)
! AC_CHECK_HEADER(popt.h)
! AC_CHECK_LIB(popt, poptGetNextOpt)
  #AC_CHECK_HEADER(pthread.h)
  

Index: configure
===================================================================
RCS file: /cvsroot/tinyos/tinyos-2.x/tools/platforms/msp430/cppbsl/configure,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** configure	31 Oct 2007 18:54:55 -0000	1.1
--- configure	5 Nov 2007 18:03:21 -0000	1.2
***************
*** 4145,4150 ****
  #AC_CHECK_HEADER(readline.h)
  #AC_CHECK_LIB(readline, rl_initialize)
! # AC_CHECK_HEADER(popt.h)
! # AC_CHECK_LIB(popt, poptGetNextOpt)
  #AC_CHECK_HEADER(pthread.h)
  
--- 4145,4361 ----
  #AC_CHECK_HEADER(readline.h)
  #AC_CHECK_LIB(readline, rl_initialize)
! if test "${ac_cv_header_popt_h+set}" = set; then
!   echo "$as_me:$LINENO: checking for popt.h" >&5
! echo $ECHO_N "checking for popt.h... $ECHO_C" >&6
! if test "${ac_cv_header_popt_h+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! fi
! echo "$as_me:$LINENO: result: $ac_cv_header_popt_h" >&5
! echo "${ECHO_T}$ac_cv_header_popt_h" >&6
! else
!   # Is the header compilable?
! echo "$as_me:$LINENO: checking popt.h usability" >&5
! echo $ECHO_N "checking popt.h usability... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! $ac_includes_default
! #include <popt.h>
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>conftest.er1
!   ac_status=$?
!   grep -v '^ *+' conftest.er1 >conftest.err
!   rm -f conftest.er1
!   cat conftest.err >&5
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
! 	 { ac_try='test -z "$ac_c_werror_flag"
! 			 || test ! -s conftest.err'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; } &&
! 	 { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_header_compiler=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_header_compiler=no
! fi
! rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
! echo "${ECHO_T}$ac_header_compiler" >&6
! 
! # Is the header present?
! echo "$as_me:$LINENO: checking popt.h presence" >&5
! echo $ECHO_N "checking popt.h presence... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <popt.h>
! _ACEOF
! if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
!   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
!   ac_status=$?
!   grep -v '^ *+' conftest.er1 >conftest.err
!   rm -f conftest.er1
!   cat conftest.err >&5
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } >/dev/null; then
!   if test -s conftest.err; then
!     ac_cpp_err=$ac_c_preproc_warn_flag
!     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
!   else
!     ac_cpp_err=
!   fi
! else
!   ac_cpp_err=yes
! fi
! if test -z "$ac_cpp_err"; then
!   ac_header_preproc=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
!   ac_header_preproc=no
! fi
! rm -f conftest.err conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
! echo "${ECHO_T}$ac_header_preproc" >&6
! 
! # So?  What about this header?
! case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
!   yes:no: )
!     { echo "$as_me:$LINENO: WARNING: popt.h: accepted by the compiler, rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: popt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h: proceeding with the compiler's result" >&5
! echo "$as_me: WARNING: popt.h: proceeding with the compiler's result" >&2;}
!     ac_header_preproc=yes
!     ;;
!   no:yes:* )
!     { echo "$as_me:$LINENO: WARNING: popt.h: present but cannot be compiled" >&5
! echo "$as_me: WARNING: popt.h: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h:     check for missing prerequisite headers?" >&5
! echo "$as_me: WARNING: popt.h:     check for missing prerequisite headers?" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h: see the Autoconf documentation" >&5
! echo "$as_me: WARNING: popt.h: see the Autoconf documentation" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h:     section \"Present But Cannot Be Compiled\"" >&5
! echo "$as_me: WARNING: popt.h:     section \"Present But Cannot Be Compiled\"" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h: proceeding with the preprocessor's result" >&5
! echo "$as_me: WARNING: popt.h: proceeding with the preprocessor's result" >&2;}
!     { echo "$as_me:$LINENO: WARNING: popt.h: in the future, the compiler will take precedence" >&5
! echo "$as_me: WARNING: popt.h: in the future, the compiler will take precedence" >&2;}
!     (
!       cat <<\_ASBOX
! ## -------------------------------------- ##
! ## Report this to koepke at tkn.tu-berlin.de ##
! ## -------------------------------------- ##
! _ASBOX
!     ) |
!       sed "s/^/$as_me: WARNING:     /" >&2
!     ;;
! esac
! echo "$as_me:$LINENO: checking for popt.h" >&5
! echo $ECHO_N "checking for popt.h... $ECHO_C" >&6
! if test "${ac_cv_header_popt_h+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   ac_cv_header_popt_h=$ac_header_preproc
! fi
! echo "$as_me:$LINENO: result: $ac_cv_header_popt_h" >&5
! echo "${ECHO_T}$ac_cv_header_popt_h" >&6
! 
! fi
! 
! 
! 
! echo "$as_me:$LINENO: checking for poptGetNextOpt in -lpopt" >&5
! echo $ECHO_N "checking for poptGetNextOpt in -lpopt... $ECHO_C" >&6
! if test "${ac_cv_lib_popt_poptGetNextOpt+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   ac_check_lib_save_LIBS=$LIBS
! LIBS="-lpopt  $LIBS"
! cat >conftest.$ac_ext <<_ACEOF
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! 
! /* Override any gcc2 internal prototype to avoid an error.  */
! #ifdef __cplusplus
! extern "C"
! #endif
! /* We use char because int might match the return type of a gcc2
!    builtin and then its argument prototype would still apply.  */
! char poptGetNextOpt ();
! int
! main ()
! {
! poptGetNextOpt ();
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>conftest.er1
!   ac_status=$?
!   grep -v '^ *+' conftest.er1 >conftest.err
!   rm -f conftest.er1
!   cat conftest.err >&5
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
! 	 { ac_try='test -z "$ac_c_werror_flag"
! 			 || test ! -s conftest.err'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; } &&
! 	 { ac_try='test -s conftest$ac_exeext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_lib_popt_poptGetNextOpt=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_lib_popt_poptGetNextOpt=no
! fi
! rm -f conftest.err conftest.$ac_objext \
!       conftest$ac_exeext conftest.$ac_ext
! LIBS=$ac_check_lib_save_LIBS
! fi
! echo "$as_me:$LINENO: result: $ac_cv_lib_popt_poptGetNextOpt" >&5
! echo "${ECHO_T}$ac_cv_lib_popt_poptGetNextOpt" >&6
! if test $ac_cv_lib_popt_poptGetNextOpt = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define HAVE_LIBPOPT 1
! _ACEOF
! 
!   LIBS="-lpopt $LIBS"
! 
! fi
! 
  #AC_CHECK_HEADER(pthread.h)
  



More information about the Tinyos-2-commits mailing list